package COPBonus.editor;

/*Generated by MPS */

import jetbrains.mps.nodeEditor.EditorAspectDescriptorBase;
import org.jetbrains.annotations.NotNull;
import java.util.Collection;
import jetbrains.mps.openapi.editor.descriptor.ConceptEditor;
import org.jetbrains.mps.openapi.language.SAbstractConcept;
import java.util.Collections;
import jetbrains.mps.lang.smodel.ConceptSwitchIndex;
import jetbrains.mps.lang.smodel.ConceptSwitchIndexBuilder;
import jetbrains.mps.smodel.adapter.ids.MetaIdFactory;

public class EditorAspectDescriptorImpl extends EditorAspectDescriptorBase {
  @NotNull
  public Collection<ConceptEditor> getDeclaredEditors(SAbstractConcept concept) {
    SAbstractConcept cncpt = ((SAbstractConcept) concept);
    switch (conceptIndex.index(cncpt)) {
      case 0:
        return Collections.<ConceptEditor>singletonList(new BoolReturn_Editor());
      case 1:
        return Collections.<ConceptEditor>singletonList(new BooleanDeclaration_Editor());
      case 2:
        return Collections.<ConceptEditor>singletonList(new Class_Editor());
      case 3:
        return Collections.<ConceptEditor>singletonList(new ElseIfStatement_Editor());
      case 4:
        return Collections.<ConceptEditor>singletonList(new ElseStatement_Editor());
      case 5:
        return Collections.<ConceptEditor>singletonList(new ForStatement_Editor());
      case 6:
        return Collections.<ConceptEditor>singletonList(new Function_Editor());
      case 7:
        return Collections.<ConceptEditor>singletonList(new IfStatement_Editor());
      case 8:
        return Collections.<ConceptEditor>singletonList(new IntReturn_Editor());
      case 9:
        return Collections.<ConceptEditor>singletonList(new IntegerDeclaration_Editor());
      case 10:
        return Collections.<ConceptEditor>singletonList(new VarAssignment_Editor());
      case 11:
        return Collections.<ConceptEditor>singletonList(new WhileStatement_Editor());
      case 12:
        return Collections.<ConceptEditor>singletonList(new Worksheet_Editor());
      default:
    }
    return Collections.<ConceptEditor>emptyList();
  }



  private static final ConceptSwitchIndex conceptIndex = new ConceptSwitchIndexBuilder().put(MetaIdFactory.conceptId(0xdaf995be71844e13L, 0x9b0d2b5a0b85f29bL, 0x9e709cab5902179L), MetaIdFactory.conceptId(0xdaf995be71844e13L, 0x9b0d2b5a0b85f29bL, 0x9e709cab5902167L), MetaIdFactory.conceptId(0xdaf995be71844e13L, 0x9b0d2b5a0b85f29bL, 0x9e709cab5902153L), MetaIdFactory.conceptId(0xdaf995be71844e13L, 0x9b0d2b5a0b85f29bL, 0x9e709cab590ccd5L), MetaIdFactory.conceptId(0xdaf995be71844e13L, 0x9b0d2b5a0b85f29bL, 0x9e709cab590cc73L), MetaIdFactory.conceptId(0xdaf995be71844e13L, 0x9b0d2b5a0b85f29bL, 0x9e709cab590cd5dL), MetaIdFactory.conceptId(0xdaf995be71844e13L, 0x9b0d2b5a0b85f29bL, 0x9e709cab590215dL), MetaIdFactory.conceptId(0xdaf995be71844e13L, 0x9b0d2b5a0b85f29bL, 0x9e709cab590cabaL), MetaIdFactory.conceptId(0xdaf995be71844e13L, 0x9b0d2b5a0b85f29bL, 0x9e709cab590217aL), MetaIdFactory.conceptId(0xdaf995be71844e13L, 0x9b0d2b5a0b85f29bL, 0x9e709cab5902166L), MetaIdFactory.conceptId(0xdaf995be71844e13L, 0x9b0d2b5a0b85f29bL, 0x9e709cab590ca64L), MetaIdFactory.conceptId(0xdaf995be71844e13L, 0x9b0d2b5a0b85f29bL, 0x9e709cab590ce4eL), MetaIdFactory.conceptId(0xdaf995be71844e13L, 0x9b0d2b5a0b85f29bL, 0x9e709cab58e300dL)).seal();
}
